/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
 
package osmq.datatypes;

import java.text.*;


public class FactorUtil
  {
  final private static String _baseformat = "###,###,###,###.";
  private static int          _decimals;
  private String              _formatmask;
  private  int                _factor;

  public FactorUtil(int decimals)
     {
     _decimals = decimals;
     _formatmask = templateBuilder(_baseformat, _decimals);
     _factor = decimalFactor(_decimals);
     }

  public int getFactor(){return _factor;}
  public int getDecPlaces(){return _decimals;}
  public String getFormatMask(){return _formatmask;}

  final private static String templateBuilder(String s, int places)
       {
       while(places-- > 0)
          s = s + "0";
       return s;
       }

  final private static int decimalFactor(int a)
      {
      int value = 1;
      while(a-- > 0)
        value *= 10;
      return value;
      }
  }





