/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

package osmq.io;

import java.io.*;

// ----------------------------------------------------------------
// An interface that provides write-related functions
// ----------------------------------------------------------------
public interface WriterStream
   {
   void close() throws IOException;
   void flush() throws IOException;
   /**
     * Writes a null object to the stream which is ignored by
     * the corresponding ReaderStream.   This method is used
     * for testing whether a socket stream is still active.
     */
   void writeNull() throws IOException;
   void println(String s) throws IOException;
   void writeBytes(byte[] value) throws IOException;
   }
