/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

package osmq.logs;

import java.io.OutputStream;
import java.io.IOException;

class LogSet
   {
   public  LogWrapper err;
   public  LogWrapper out;
   public  LogWrapper audit;
   public  LogWrapper trace;
   public  LogWrapper vis;
   public  LogWrapper safestore;

   LogSet()
      {
      // Logs.out uses stdout
      out = new LogWrapper(System.out);
      out.setTimed(true);

      //Logs.err uses stderr
      err = new LogWrapper(System.err);
      err.setTimed(true);

      // Logs.audit Logs.safestore and Logs.trace default to dummy output
      audit = new LogWrapper();
      audit.setTimed(true);
      
      trace = new LogWrapper();
      trace.setTimed(true);

      safestore = new LogWrapper();

      // Logs.vis defaults to alias for stdout
      vis = out;
      }

   public void closeLogs()
      {
      closeLog(err);
      closeLog(out);
      closeLog(audit);
      closeLog(trace);
      closeLog(vis);
      closeLog(safestore);
      }

   private void closeLog(Log l)
      {
      try{l.close();}
      catch(IOException e){}
      }

   protected void finalize() throws Throwable
      {
      closeLogs();
      }
   }

