/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

package osmq.mcns;

public class MCNS
  {
  // ---------------------------------------------------
  // Seperate multi-cast channels for various functions
  // ---------------------------------------------------
  // Dynamic node discovery channel
  final public static int DISCOVERY_CHANNEL  = 4547;

  // Periodic pulsing of state change information
  final public static int PULSAR_CHANNEL     = 4546;

  // -------------------------------------------------
  // Discovery-related constants
  // -------------------------------------------------

  // Indices of various elements of result set
  final public static int RESULT_FOUND_NAME     = 0;
  final public static int RESULT_HOST_ADDRESS   = 1;
  final public static int RESULT_HOST_PORT      = 2;
  final public static int RESULT_SERVICE_STATUS = 3;

  // Discovery result codes 
  final public static int SERVICE_ACTIVE = 0;
  final public static int ERROR_NO_SERVICE_ENTRY = 1;
  final public static int ERROR_SERVICE_NOT_ALIVE = 2;
  final public static int ERROR_DISOVERY_SERVER_NOT_RESPONDING = 3;
  
  final public static int SECONDS                 = 1000;
  final public static int ALARM_THRESHOLD_SECONDS = 30;
  final public static int TEST_ALIVE_FREQUENCY    = 30;
  final public static int CLIENT_SOCKET_TIMEOUT   = 3000;
  final public static int MAX_LOOKUP_TRIES        = 3;

  final public static int READBUF_SIZE = 1024;

  }