/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

  
package osmq.messages;

/**
  * Each thread should allocate a seperate MessageFactory instance;
  */
  
public class MessageFactory
   {

   public static ERMessage createNotificationMessage(int size, String topic)
      {
      return MessageFactoryUtil.getSingleton().createNotificationMessage(size, topic);
      }
      
   /**
     * Creates an ERMessage or BytePacketMessage, depending on
     * the value of the message format found in the byte array.
     */
   public static Message createMessage(byte[] value) throws MessageException
      {
      return MessageFactoryUtil.getSingleton().createMessage(value);
      }

   public static ERMessage createMessage(int sz)
      {
      return MessageFactoryUtil.getSingleton().createMessage(sz);
      }

   public static ERMessage createERMessage(String v)
     {
     return MessageFactoryUtil.getSingleton().createERMessage(v);
     }

   public static Message createImmutableMessage(String v)
     {
     return MessageFactoryUtil.getSingleton().createImmutableMessage(v);
     }

   public static Message createImmutableMessage(byte[] b) throws MessageException
     {
     return MessageFactoryUtil.getSingleton().createImmutableMessage(b);
     }
   }