/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

         
package osmq.messages;

import java.math.BigDecimal;
import java.util.Date;
import osmq.records.*;
import osmq.util.Immutable;
import osmq.util.ImmutableException;

/**
  * A multi-element data set (record) that includes identifying attributes
  * such as a topic, action, data key, and correlation ID.
  * Application data elements are referenced positionally, using an API 
  * similar to that empolyed by JDBC. An element can be put or retrieved as
  * a String, int, double, long or char.
  * The first element is reference as position 1, and the last as position n.
  */

public interface MessageType
   {
   // MESSAGE TYPE VALUES
   final public static char NOTIFICATION  = 'N';
   final public static char REQUEST       = 'R';
   final public static char DENIAL        = 'D';
   final public static char TOPIC_CHG     = 'T';
   final public static char BATCH_CONTROL = 'B';
   }



