/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

 
package osmq.mque;

import java.util.*;
import java.io.*;
import osmq.util.*;

public class PersistableMQue extends MQue
  {

  public PersistableMQue()
     {
     super();
     }

  public PersistableMQue(String name)
     {
     super(name);
     }

  final public void saveAsLocalFile() throws IOException
      {
      saveAsLocalFile(this.getSaveFileName());
      }

  final private synchronized void saveAsLocalFile(String savname) throws IOException
      {
      if(size() == 0)
         return;
      try{
         PacketFileSaver pfs = new PacketFileSaver(savname);
         pfs.saveQueue(this);
         }

      catch(IOException e)
         {
         e = new QueueException(e.getMessage(), QueueException.QE_SAVING_TO_TEXT_FILE);

         System.err.println("Error saving queue to file : " +
                                        e.getMessage());
         throw e;
         }
      }

  final public void loadFromLocalFile() throws IOException
      {
      loadFromLocalFile(this.getSaveFileName());
      }

  final public synchronized void loadFromLocalFile(String filename)  throws IOException
      {
      PacketFileLoader pfl = new PacketFileLoader(filename);
      pfl.loadQueue(this);
      }

  public String getSaveFileName()
      {
      return getInstanceName() + ".que";
      }

  }
