/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */


package osmq.mque;
import java.io.IOException;

public class QueueException extends IOException
  {
  final public static int QE_UNKNOWN             = 0;
  final public static int QE_WRITE_HALTED        = 1;
  final public static int QE_CAPACITY_EXCEEDED   = 2;
  final public static int QE_READ_HALTED         = 3;
  final public static int QE_CLOSED              = 4;
  final public static int QE_DOUBLE_PUSH_BACK    = 5;
  final public static int QE_SAVING_TO_TEXT_FILE = 6;

   private int qeflag = QE_UNKNOWN;

  public QueueException()
    {
    super();
    }

  public QueueException(String msg)
    {this(msg, QE_UNKNOWN);}

  public QueueException(String msg, int flag)
    {
    super(msg);
    qeflag = flag;
    }

  public int getQeFlag()
    {return qeflag;}

}

