/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */


package osmq.sample;

import java.util.*;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.io.IOException;
import osmq.util.ImmutableException;
import java.text.DecimalFormat;

import osmq.mcns.*;
import osmq.agents.NetWriter;
import osmq.util.*;
import osmq.records.DataRecord;
import osmq.records.DataRecordBean;
import osmq.mque.*;


public class TestRWriter implements ExceptionListener
   {

   public TestRWriter(){}

   public void onException(Exception e)
      {
      System.out.println("Exception in TestPub " + e.getMessage());
      }

   public void run()
      {
      NetWriter pb = null;
      DataRecord dr = null;
      
      try{
         // Instantiate a three-element record
         dr = new DataRecordBean(5);

         // Initialize the record values
         dr.setString(1, "Hello");
         dr.setInt(2, 1234);
         dr.setDouble(3, 54.3);
         dr.setInt(4, 3498);
         dr.setBoolean(5, true);

         // Instantiate the message writer
         pb = new NetWriter();

         // Employ auto-commit ... send each message
         // to the remote service as soon as it is written
         pb.setAutoCommit(true);

         // Notify me if there is an exception in the
         // network processing thread
         pb.setExceptionListener(this);

         // Identify the remote service
         pb.setRemoteServiceName("SAFESTORE");

         // Connect to the remote service
         pb.connect();

         System.out.println("Beginning message writes");

         while(true)
            pb.write(dr);
         }
      catch(Exception e){}
      finally{
             // close the connection
             if(pb != null)
                pb.disconnect();
             }

      }

    public static void main(String[] args)
          {
          TestRWriter ts = new TestRWriter();
          ts.run();
          try{System.in.read(new byte[10]);}
          catch(Exception ignore){}
          }


}






