/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */


package osmq.sample;

import java.util.*;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.io.IOException;
import java.text.DecimalFormat;

import osmq.mcns.*;
import osmq.agents.NetWriter;
import osmq.util.*;
import osmq.records.DataRecord;
import osmq.mque.*;


public class TestWriter implements ExceptionListener
   {
   private byte[] msg = new byte[100];
   public TestWriter(){}
   public void onException(Exception e)
      {
      System.out.println("Exception in TestPub " + e.getMessage());
      }

   public void run()
      {
      NetWriter pb = null;

      try{
         // Instantiate the message writer
         pb = new NetWriter();

         // Employ auto-commit ... send each message
         // to the remote service as soon as it is written
         pb.setAutoCommit(true);

         // Notify me if there is an exception in the
         // network processing thread
         pb.setExceptionListener(this);

         // Identify the remote service
         pb.setRemoteServiceName("SAFESTORE");

         // Connect to the remote service
         pb.connect();

         System.out.println("Beginning message writes");

         // write messages as strings to the service
         // (can also write byte arrays)
         for(int i = 0; i < msg.length; ++i)
             {
             //System.out.print();
             msg[i] = (byte) 'x';
             }

         int j;
         while(true)
            pb.write(msg);


         }
      catch(Exception e){}
      finally{
             // close the connection
             if(pb != null)
                pb.disconnect();
             }

      }

    public static void main(String[] args)
          {
          TestWriter ts = new TestWriter();
          ts.run();
          try{System.in.read(new byte[10]);}
          catch(Exception ignore){}
          }


}






