/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
  
package osmq.util;

/**
  * Encapsulate a long integer value, and provides thread-save
  * methods to increment, decrement and reference the value.
  */

public class Accumulator
   {
   private long _count = 0;
   private long _threshold = -1;

   public Accumulator() {}

   public Accumulator(long count)
     {_count = count;}

   synchronized public void increment()
      {_count++;}
   synchronized public void decrement()
      {_count--;}

   synchronized public void incrementBy(int v)
      {_count += v;}
   synchronized public void decrementBy(int v)
      {_count -= v;}

   synchronized public void setCount(long count)
      {_count = count;}
   public long getCount()
      {return _count;}

   synchronized public void setThreshold(long threshold)
      {_threshold = threshold;}
   synchronized public long getThreshold()
      {return _threshold;}
   }