/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
 
package osmq.util;

import java.text.*;

public class DoubleFormatter
   {
   final private static String currency = "###,###,###,###.##";
   final private static String real = "###,###,###,###.####";
   private double db;
   private boolean iscurrency = true;
   private DecimalFormat myformat;

   public DoubleFormatter()
     {setDouble(0.0);}

   public DoubleFormatter(double db)
     {
     setDouble(db);
     }

   public void setDouble(double db)
     {this.db = db;}
   public double getDouble()
     {return db;}

   public void setCurrency(boolean yn)
     {
     iscurrency = yn;
     myformat = null;
     }

   public boolean isCurrency()
     {
     return iscurrency;
     }
     
   public String getFormattedString()
     {
     return getFormatter().format(db);
     }

   public String getUnformattedString()
     {
     return String.valueOf(db);
     }

   private DecimalFormat redoFormat()
     {
     return (iscurrency) ?
        new DecimalFormat(currency) :
        new DecimalFormat(real);
     }

   private DecimalFormat getFormatter()
     {
     if(myformat == null)
        myformat = redoFormat();
     return myformat;
     }
   }