/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
 
package osmq.util;

import java.util.*;


public class ExceptionEventBean implements ExceptionListener
  {
  private Vector listenerList = new Vector();
  public ExceptionEventBean() {}

  public synchronized void addExceptionListener(ExceptionListener l)
      {
      listenerList.addElement(l);
      }

  public synchronized void removeExceptionListener(ExceptionListener l)
      {
      listenerList.removeElement(l);
      }

  public void onException(Exception e)
      {
      notifyListeners(e);
      }

  public void notifyListeners(Exception e)
      {
      //Logs.err.println("Exception event notification: " + e.getMessage());
      for (int i=0; i<listenerList.size(); i++)
         ((ExceptionListener)listenerList.elementAt(i)).onException(e);

      }
  }

