/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
 
package osmq.util;

import java.util.*;

public class IntMap
  {
  Iterator _keyiterator;

  Map map = new HashMap();

  class IntContainer
     {
     int value = 1;
     }

  public IntMap()
    {
    }

     // Iterators have next() and hasNext()
  private Iterator getValues()
     {
     return map.values().iterator();
     }

  private Iterator getKeys()
     {
     return map.keySet().iterator();
     }

  public String firstKey()
     {
     _keyiterator = getKeys();
     return nextKey();
     }

   public String nextKey()
     {
     if(!_keyiterator.hasNext())
        _keyiterator = null;

     return (_keyiterator != null) ?
            (String) _keyiterator.next() :
            null;
     }

  public int getCountFor(String key)
     {
     IntContainer i = (IntContainer) map.get(key);
     return (i != null) ? i.value : 0;
     }

  // returns true if this is the first instance
  public boolean addEntry(String key) //throws IOException
     {
     IntContainer i;
     if(map.containsKey(key))
        {
        i = (IntContainer) map.get(key);
        i.value++;
        return false;
        }
     else
        {
        i = new IntContainer();
        map.put(key, i);
        return true;
        }
     }

   // returns true if removed was last
   public boolean removeEntry(String key) //throws IOException
     {
     // if this is the last remaining instance of the entry,
     // return true
     if(map.containsKey(key))
        {
        IntContainer i = (IntContainer) map.get(key);
        i.value--;
        if(i.value < 0)
           i.value = 0;
        if(i.value == 0)
           return true;
        else
           return false;
        }
     return false;
     }



} 