/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

package osmq.util;

import java.awt.*;
import java.awt.event.*;

import javax.swing.border.*;
import javax.swing.*;

public class ShutdownManager extends ShutdownEventBean
  {
  private static ShutdownManager mgr = null;

  private ShutdownManager() {}

  public void onExceptionClose(Exception e, Frame parent)
     {
      if(AnsweredYes(parent,
                     "Application Exception",
                         e.getMessage() +
                         "\n\nExit this application?"))
        {
        //setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
        notifyListeners();
        System.exit(0);
        }
     }

  public static boolean  AnsweredYes(Frame parent, String title, String message)
      {

      switch(new JOptionPane().showConfirmDialog(parent, message,
                             title, JOptionPane.YES_NO_OPTION,
                             JOptionPane.QUESTION_MESSAGE, null))
        {
        case JOptionPane.NO_OPTION:
        case JOptionPane.CANCEL_OPTION:
           return false;
        default:
           return true;
        }
     }

  public static ShutdownManager getSingleton()
     {
     if(mgr == null)
        {
        synchronized(ShutdownManager.class)
           {
           if(mgr == null)
              mgr = new ShutdownManager();
           }
        }
     return mgr;
     }
  } 