/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */

package osmq.util;

import java.util.*;

public class Timer
  {
  private long _starttime;

  public Timer()
      {reset();}

  final public String startTimeAsDateString()
      {
      return (new Date(_starttime)).toString();
      }

  final public synchronized void reset()
      {_starttime = System.currentTimeMillis();}

  final public synchronized int getDurationSeconds()
      {return millisToSecs(getDurationMillis(_starttime));}

  final public double getDurationSecondsAsDouble()
      {return (double) getDurationMillis() / 1000.0;}

  final static protected synchronized int getSecondsSince(long lg)
      {return millisToSecs(getDurationMillis(lg));}

  final protected synchronized long getDurationMillis()
      {return getDurationMillis(_starttime);}

  final static protected long getDurationMillis(long starttime)
      {return System.currentTimeMillis() - starttime;}

  final static protected int millisToSecs(long duration)
      {return (duration > 1000L) ? (int)(duration / 1000) : 0;}
  }
